## kodi-pvr-mythtv 21.1.9+ds

=== debian/changelog ===
kodi-pvr-mythtv (21.1.9+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:50 +0000

kodi-pvr-mythtv (21.1.9+ds-1) unstable; urgency=medium

  * New upstream version 21.1.9+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:23 +0000

kodi-pvr-mythtv (21.1.8+ds-1) experimental; urgency=medium

  * New upstream version 21.1.8+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.5+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:11 +0000
