=== debian/changelog ===
kodi-pvr-mythtv (21.1.11+ds-1) unstable; urgency=medium

  * New upstream version 21.1.11+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:30:19 +0000
