=== debian/control ===
Source: kodi-pvr-mythtv
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
 cmake,
 zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git -b debian/sid
Homepage: https://kodi.tv/

Package: kodi-pvr-mythtv
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Description: MythTV PVR Addon for Kodi
 MythTV is a open source software PVR project that is designed to run on
 Linux, although other operating system packages are available. With
 MythTV you can watch Live TV, schedule recordings, view episode guide
 information, and many other features you expect from a DVR type
 appliance device. But more interesting for Kodi users is that as MythTV
 uses a distributed application structure it can also be configured as
 PVR backend (PVR server) for Kodi, supporting multiple Kodi frontends as
 clients, with MythTV acting as the PVR backend that does work of tuning
 TV signals, recording, scheduling, and post processing jobs.
 .
 This package contains the MythTV PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media
